std::bad_exception Class Reference
Diagnostics » Exceptions

`#include <exception>`

Inheritance diagram for std::bad_exception:
[legend]

## Public Member Functions

virtual constexpr const char * | what () const noexcept

## Detailed Description

If an exception is thrown which is not listed in a function's exception specification, one of these may be thrown.

Definition at line 58 of file exception.

## Constructor & Destructor Documentation

## bad_exception()

std::bad_exception::bad_exception | ( |  | ) |

inline constexpr noexcept

Definition at line 61 of file exception.

## ~bad_exception()

virtual constexpr std::bad_exception::~bad_exception | ( |  | ) |

inline constexpr virtual noexcept

Definition at line 65 of file exception.

## Member Function Documentation

## what()

virtual constexpr const char * std::bad_exception::what | ( |  | ) | const

inline constexpr virtual noexcept

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Definition at line 68 of file exception.

The documentation for this class was generated from the following file:

- exception